Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.navigation.document
Class Destination

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.documents.interaction.navigation.document.Destination

All Implemented Interfaces:
  Cloneable, IPdfNamedObjectWrapper, IPdfObjectWrapper

Direct Known Subclasses:
  LocalDestination, RemoteDestination

    @PDF(value=PDF10)
    public abstract class Destination

extends PdfObjectWrapper<PdfArray>
implements IPdfNamedObjectWrapper

Interaction target [PDF:1.6:8.2.1].

It represents a particular view of a document, consisting of the following items:

- the page of the document to be displayed;
- the location of the document window on that page;
- the magnification (zoom) factor to use when displaying the page.

Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Destination.ModeEnum` Destination mode [PDF:1.6:8.2.1].

Constructor Summary
`protected` | `Destination(Document context, Object page, Destination.ModeEnum mode, Object location, Double zoom)` Creates a new destination within the given document context.
`protected` | `Destination(PdfDirectObject baseObject)`

Method Summary
`Object` | `getLocation()` Gets the page location.
`Destination.ModeEnum` | `getMode()` Gets the destination mode.
`PdfString` | `getName()` Gets the object name.
`PdfDirectObject` | `getNamedBaseObject()` Gets the object name, if available; otherwise, behaves like `getBaseObject()`.
`abstract Object` | `getPage()` Gets the target page reference.
`Double` | `getZoom()` Gets the magnification factor to use when displaying the page.
`void` | `setLocation(Object value)`
`void` | `setMode(Destination.ModeEnum value)`
`abstract void` | `setPage(Object value)`
`void` | `setZoom(Double value)`
`static Destination` | `wrap(PdfDirectObject baseObject)` Wraps a destination base object into a destination object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Constructor Detail

### Destination

    protected Destination(Document context,
                          Object page,
                          Destination.ModeEnum mode,
                          Object location,
                          Double zoom)

  Creates a new destination within the given document context.

  Parameters:
    `context` - Document context.
    `page` - Page reference. It may be either a `Page` or a page index (int).
    `mode` - Destination mode.
    `location` - Destination location.
    `zoom` - Magnification factor to use when displaying the page.

### Destination

    protected Destination(PdfDirectObject baseObject)

Method Detail

### wrap

    public static final Destination wrap(PdfDirectObject baseObject)

  Wraps a destination base object into a destination object.

  Parameters:
    `baseObject` - Destination base object.
  Returns:
    Destination object associated to the base object.

### getLocation

    public Object getLocation()

  Gets the page location.

### getMode

    public Destination.ModeEnum getMode()

  Gets the destination mode.

### getPage

    public abstract Object getPage()

  Gets the target page reference.

### getZoom

    public Double getZoom()

  Gets the magnification factor to use when displaying the page.

### setLocation

    public void setLocation(Object value)

  See Also:
    `getLocation()`

### setMode

    public void setMode(Destination.ModeEnum value)

  See Also:
    `getMode()`

### setPage

    public abstract void setPage(Object value)

  See Also:
    `getPage()`

### setZoom

    public void setZoom(Double value)

  See Also:
    `getZoom()`

### getName

    public PdfString getName()

  Description copied from interface: `IPdfNamedObjectWrapper`
  Gets the object name.

  As names are tipically loosely-coupled with their corresponding PDF objects, name retrieval implies a costly reverse lookup into the document's name tree.

  Specified by:
    `getName` in interface `IPdfNamedObjectWrapper`

### getNamedBaseObject

    public PdfDirectObject getNamedBaseObject()

  Description copied from interface: `IPdfNamedObjectWrapper`
  Gets the object name, if available; otherwise, behaves like `getBaseObject()`.

  Specified by:
    `getNamedBaseObject` in interface `IPdfNamedObjectWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.